# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-gasp
# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_version: %define python_version %(%{__python} -c "import sys; print sys.version[0:3]")}

Name:           python-module-gasp
Version:        0.3.2
Release:        alt1_6
Summary:        API wrapper on top of pygame
Group:          Development/Python
License:        GPLv3+
URL:            http://launchpad.net/gasp-core
Source0:        http://launchpad.net/gasp-core/0.3.x/%{version}/+download/%{oldname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
Source44: import.info

%description
GASP provides a simple, procedural graphics API for beginning 
students using Python. 

It allows for the easy creation of 1980's style games with litle
or no prior programming experince.

It is a wrapper around pygame.

%prep
%setup -q -n %{oldname}-%{version}


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
chmod 0755 $RPM_BUILD_ROOT/%{python_sitelibdir_noarch}/gasp/*.py

%files
%doc AUTHORS COPYING NEWS README
%dir %{python_sitelibdir_noarch}/gasp
%{python_sitelibdir_noarch}/gasp/*
%dir %{python_sitelibdir_noarch}/gasp-%{version}-py%{python_version}.egg-info
%{python_sitelibdir_noarch}/gasp-%{version}-py%{python_version}.egg-info/*

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt1_6
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt1_5
- initial fc import

